---
apiVersion: v1

# The repository name in registry, excluding /ironbank/
name: "elastic/elastic-maps-service/elastic-maps-server"

# List of tags to push for the repository in registry1
# The most specific version should be the first tag and will be shown
# on ironbank.dsop.io
tags:
  - '{{version}}'
  - 'latest'

# Build args passed to Dockerfile ARGs
args:
  BASE_IMAGE: 'redhat/ubi/ubi10'
  BASE_TAG: '10.2'

# Docker image labels
labels:
  org.opencontainers.image.title: 'elastic-maps-server'
  org.opencontainers.image.description: "Elastic Maps Service for air-gapped environments."
  org.opencontainers.image.licenses: 'Elastic License'
  org.opencontainers.image.url: 'https://www.elastic.co/guide/en/kibana/current/maps-connect-to-ems.html#elastic-maps-server'
  org.opencontainers.image.vendor: 'Elastic'
  org.opencontainers.image.version: '{{version}}'
  # mil.dso.ironbank.image.keywords: ""
  # mil.dso.ironbank.image.type: "commercial"
  mil.dso.ironbank.product.name: 'Elastic Maps Server'
# List of resources to make available to the offline build context


# List of resources to make available to the offline build context
resources:
  - tag: docker.elastic.co/elastic-maps-service/elastic-maps-server:{{version}}
    url: docker://docker.elastic.co/elastic-maps-service/elastic-maps-server


# List of project maintainers
maintainers:
  - email: "jorge.sanz@elastic.co"
    name: "Jorge Sanz"
    username: "jorge.sanz"
    cht_member: false
  - email: "nick.peihl@elastic.co"
    name: "Nick Peihl"
    username: "nick.peihl"
    cht_member: false
